Bug 731992 - scim-bridge[6077]: segfault at 0000000000000010 rip 00002b8dad9d7110 rsp 00007fff0137a6b8 error 4
Summary: scim-bridge[6077]: segfault at 0000000000000010 rip 00002b8dad9d7110 rsp 0000...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: scim-bridge
Version: 5.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Peng Wu
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 697498
TreeView+ depends on / blocked
 
Reported: 2011-08-19 11:58 UTC by Martin Wilck
Modified: 2011-09-08 07:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 07:29:05 UTC


Attachments (Terms of Use)
sosreport (1.68 MB, application/x-bzip2)
2011-08-19 11:58 UTC, Martin Wilck
no flags Details

Description Martin Wilck 2011-08-19 11:58:16 UTC
Created attachment 519028 [details]
sosreport

Description of problem:
This happened on a Fujitsu PRIMERGY TX100S2 (https://hardware.redhat.com/show.cgi?id=615453) during 5.7 test.

A segfault of scim-bridge was logged while the system was idle, a few minutes after a root login.

Version-Release number of selected component (if applicable):
scim-1.4.4-44.el5.x86_64 
scim-bridge-0.4.5-9.el5.x86_64
scim-bridge-gtk-0.4.5-9.el5.i386

How reproducible:
sporadically

Steps to Reproduce:
See description.
  
Actual results:
/var/log/secure
Aug  4 14:55:47 upd-tx100s2-3 gdm[5756]: pam_unix(gdm:session): session opened for user root by (uid=0)

/var/log/messages
Aug  4 14:59:43 upd-tx100s2-3 kernel: scim-bridge[6077]: segfault at 0000000000000010 rip 00002b8dad9d7110 rsp 00007fff0137a6b8 error 4

audit.log
type=LOGIN msg=audit(1312466147.848:16): login pid=5756 uid=0 old auid=4294967295 new auid=0 old ses=4294967295 new ses=2
type=USER_START msg=audit(1312466147.848:17): user pid=5756 uid=0 auid=0 msg='PAM: session open acct="root" : exe="/usr/sbin/gdm-binary" (h
ostname=?, addr=?, terminal=:0 res=success)'
type=USER_LOGIN msg=audit(1312466147.848:18): user pid=5756 uid=0 auid=0 msg='uid=0: exe="/usr/sbin/gdm-binary" (hostname=upd-tx100s2-3, ad
dr=172.17.88.163, terminal=:0 res=success)'
type=ANOM_ABEND msg=audit(1312466383.787:19): auid=0 uid=0 gid=0 ses=2 pid=6077 comm="scim-bridge" sig=11


Expected results:
No segfault logged

Additional info:
We haven't been able to locate a core dump.
Would it be sufficient to follow the instructions in 

https://access.redhat.com/kb/docs/DOC-5353

to be able to capture this problem when it occurs?

Comment 2 Peng Wu 2011-09-02 09:04:38 UTC
Please try this scim-bridge bug fix update:
http://rhn.redhat.com/errata/RHBA-2011-1234.html

Comment 3 Martin Wilck 2011-09-08 07:29:05 UTC
Thanks for the hint. The problem didn't reproduce with this update package.


Note You need to log in before you can comment on or make changes to this bug.